#include <stdio.h>
#include <stdlib.h>
#include <math.h>
void cvrst(int* a, int prvi, int pos)
{
  int k;
  if(prvi>=pos-1) return;
  for(k=prvi+1;k<pos;k++)
  {
    if(a[prvi]==a[k])
    { 
      cvrst(a,prvi,k);
      prvi=k;
    }
  }
  if(a[prvi]==a[pos])
  { 
    if(pos-prvi>2)
    {
      cvrst(a,prvi+1,pos-1);
      a[prvi]=a[prvi+1];
    }
    else a[prvi+1]=a[prvi];
    return;
  }
  return;
}
int main(void) 
{
  int n,x=0,i,br=0;
  scanf("%d", &n);
  for(i=n;i>0;i/=10) x++;
  int* cif=(int*)malloc(x*sizeof(int));
  int* pom=(int*)malloc(x*sizeof(int));
  for(i=0;i<x;i++)
  {
    cif[i]=(n/(int)pow(10,x-i-1))%10;
    pom[i]=cif[i];
  }
  cvrst(pom,0,x-1);
  for(i=0;i<x;i++)
    if(cif[i]!=pom[i]) br++;
  free(cif);
  cif=NULL;
  free(pom);
  pom=NULL;
  printf("%d", br);
}